# Class ProjectDependency

java.lang.Object
org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
org.gradle.plugins.ide.eclipse.model.ProjectDependency

All Implemented Interfaces:
  `ClasspathEntry`

public class ProjectDependency extends AbstractClasspathEntry
A classpath entry representing a project dependency.

## Field Summary

### Fields inherited from class AbstractClasspathEntry

`accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

## Constructor Summary

Constructors
Constructor
Description
`ProjectDependency(Node node)`
`ProjectDependency(String path)`
Create a dependency on another Eclipse project.

## Method Summary

Modifier and Type
Method
Description
`String`
`getKind()`
`String`
`toString()`

### Methods inherited from class AbstractClasspathEntry

`addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProjectDependency

public ProjectDependency(Node node)

### ProjectDependency

public ProjectDependency(String path)
Create a dependency on another Eclipse project.

Parameters:
  `path` - The path to the Eclipse project, which is the name of the eclipse project preceded by "/".

## Method Details

### getKind

public String getKind()

### toString

public String toString()

Overrides:
  `toString` in class `AbstractClasspathEntry`